### Hierarchy

- ListRow

### Implements

- AfterContentInit

## Index

### Inputs

- label
- selected
- value

### Outputs

- change

### Properties

- change
- columns
- input
- label
- name
- selected
- selection
- tabindex
- value
- wrapper

### Methods

- ngAfterContentInit
- onChange
- onclick

## Properties

### change

@Output()
change: EventEmitter<Event> = new EventEmitter()

- Defined in src/structured-list/list-row.component.ts:68

### columns

@ContentChildren({"selector":"ListColumn"})
columns: QueryList<ListColumn>

- Defined in src/structured-list/list-row.component.ts:82

### input

@ViewChild({"selector":"input","opts":"{ static: false }"})
input: ElementRef

- Defined in src/structured-list/list-row.component.ts:85

### label

@Input()
@HostBinding({"hostPropertyName":"attr.aria-label"})
label: any

- Defined in src/structured-list/list-row.component.ts:60

### name

name: string = "list"

- Defined in src/structured-list/list-row.component.ts:77

### selected

@Input()
@HostBinding({"hostPropertyName":"class.bx--structured-list-row--selected"})
selected: boolean = false

- Defined in src/structured-list/list-row.component.ts:56

### selection

selection: boolean = false

- Defined in src/structured-list/list-row.component.ts:73

### tabindex

@HostBinding({"hostPropertyName":"attr.tabindex"})
tabindex: string = this.selection ? "0" : null

- Defined in src/structured-list/list-row.component.ts:80

### value

@Input()
value: any

- Defined in src/structured-list/list-row.component.ts:64

### wrapper

@HostBinding({"hostPropertyName":"class.bx--structured-list-row"})
wrapper: boolean = true

- Defined in src/structured-list/list-row.component.ts:79

## Methods

### ngAfterContentInit

- ngAfterContentInit(): void

- - Defined in src/structured-list/list-row.component.ts:87

  #### Returns void

### onChange

- onChange(event: any): void

- - Defined in src/structured-list/list-row.component.ts:101

  #### Parameters

  - ##### event: any

  #### Returns void

### onclick

@HostListener({"eventName":"click"})

- onclick(): void

- - Defined in src/structured-list/list-row.component.ts:95

  #### Returns void

Generated using TypeDoc